<id>
Return To for YaBB 2.4
</id>

<version>
1.0b
</version>

<mod info>
This mod allows users to decide where to return to after posting. A drop-down selection box is placed underneath the 'Disable Smilies' check box on the post page. Users may select to return to the current thread, current board, or the forum index. Members can also select a default selection for this feature in their profile.

Installation
---------------------
1.  Mod the files
2.  Upload the modded files and the language file to the correct directories

Files to edit
--------------
Admin/ModList.pl
Sources/ModifyMessage.pl
Sources/Post.pl
Sources/Profile.pl
Sources/System.pl

Version History
----------------------
### YaBB 2.4 - Derek Barnstorm ###
v1.0 - Updated for YaBB 2.4 - 27th August 2009
v1.0a - Fixed issue with new posts indicator flashing if returning to forum index - 1st September 2009
v1.0b - Removed Return To from Broadcast Message to Admin and Alert Moderator - 30th September 2009

### YaBB 2.1 - astro-pilot ###
v1.0 - Initial Release - 11th October 2005
v1.1 - Added the ability for a user to select which 'return to' area would be selected in the drop down menu as default in their profile options.  Also, removed workaround for 'new' marker with actual fix and extended this to new threads also.
v1.2 - Fixed issue with threads that will notify other users when posted to.
</mod info>

<author>
astro-pilot
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/Modlist.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$return_to_mod = "Return To|astro-pilot|This mod allows users to decide where to return to after posting. A drop-down selection box is placed underneath the 'Disable Smilies' check box on the post page. Users may select to return to the current thread, current board, or the forum index. Members can also select a default selection for this feature in their profile.|1.0b|30th September 2009";
	push (@installed_mods, "$return_to_mod");
</add before>

<edit file>
Sources/ModifyMessage.pl
</edit file>

<search for>
	$yySetLocation = qq~$scripturl?num=$threadid/$start#$postid~;
</search for>

<replace>
	### Return To mod start ###
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = $FORM{'return_to'};		
	if ($rts == 3) {
	    $yySetLocation = qq~$scripturl~;
	    &dumplog($currentboard, $date);
	} elsif ($rts == 2) {
	    $yySetLocation = qq~$scripturl?board=$currentboard~;
	} else { 
	    $yySetLocation = qq~$scripturl?num=$threadid/$start#$postid~;
	}	
	&dumplog($thread, $date);
	### Return To mod end ###
</replace>

<edit file>
Sources/Post.pl
</edit file>

<search for>
		# /File Attachment's Browse Box Code
</search for>

<add after>

	### Return To mod start ###
    &LoadLanguage('Return_To');
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = $FORM{'return_to'} ? $FORM{'return_to'}: ${$uid.$username}{'return_to'};
	for ($rt = 1; $rt <= 3; $rt++) {
		 $return_to_select .= $rts == $rt ? qq~<option value="$rt" selected>$return_to_txt{$rt}</option>~ : qq~<option value="$rt">$return_to_txt{$rt}</option>~;
	}
	if ($destination ne 'modalert2' && $destination ne 'guestpm2') {
	    $return_to = qq~      
	<tr id="feature_status_9">
        <td class="windowbg" width="23%"><label for="return_to"><b>$return_to_txt{'01'}:</b></label></td>
        <td class="windowbg" width="77%"><select name="return_to" id="return_to">$return_to_select</select><span class="small"> <label for="return_to">$return_to_txt{'02'}</label></span></td>
    </tr>~;
    }
	### Return To mod end ###
	
</add after>

<search for>
			<input type="checkbox" name="ns" id="ns" value="NS"$nscheck /> <span class="small"> <label for="ns">$post_txt{'277'}</label></span>
		</td>
	</tr>
</search for>

<add after>
    <!-- ### Return To mod start ### -->
    $return_to 
    <!-- ### Return To mod end ### -->
</add after>

<search for>
	if ($currentboard eq $annboard) {
		$yySetLocation = qq~$scripturl?virboard=$FORM{'virboard'};num=$thread/$start#$mreplies~;
	} else {
		$yySetLocation = qq~$scripturl?num=$thread/$start#$mreplies~;
	}
</search for>

<replace>
	### Return To mod start ###
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = $FORM{'return_to'};		
	if ($rts == 3) {
	    $yySetLocation = qq~$scripturl~; 
	    &dumplog($currentboard, $date);
	} elsif ($rts == 2) {
	    $yySetLocation = qq~$scripturl?board=$currentboard~;
	} else { 
	    if ($currentboard eq $annboard) {
	        $yySetLocation = qq~$scripturl?virboard=$FORM{'virboard'};num=$thread/$start#$mreplies~;
	    } else { 
	        $yySetLocation = qq~$scripturl?num=$thread/$start#$mreplies~;
		}	
	}
	&dumplog($thread, $date);
	### Return To mod end ###
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
		<td align="left" valign="top"><input type="checkbox" name="reversetopic" id="reversetopic"~ . (${$uid.$user}{'reversetopic'} ? qq~ checked="checked"~ : '') . qq~ /></td>
	</tr>~;
	}
</search for>

<add after>

	### Return To mod start ###
	&LoadLanguage('Return_To');
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = ${$uid.$user}{'return_to'};
	for ($rt = 1; $rt <= 3; $rt++) {
		 $return_to_select .= $rts == $rt ? qq~<option value="$rt" selected>$return_to_txt{$rt}</option>~ : qq~<option value="$rt">$return_to_txt{$rt}</option>~;
	}
	$showProfile .= qq~      
    <tr class="windowbg">
        <td width="320" align="left"<label for="return_to"><b>$return_to_txt{'01'}:</b><br /><span class="small">$return_to_txt{'03'}</span></label></td>
        <td align="left"><select name="return_to" id="return_to">$return_to_select</select></td>
	</tr>~;	
	### Return To mod end ###

</add after>

<search for>
	${$uid.$user}{'timeformat'} = $member{'timeformat'};
</search for>

<add after>
    ${$uid.$user}{'return_to'} = $member{'return_to'}; ### Return To mod ###
</add after>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(realname password position addgroups email hidemail regdate regtime regreason location bday gender userpic usertext signature template language stealth webtitle weburl icq aim yim skype myspace facebook msn gtalk timeselect timeformat timeoffset dsttimeoffset dynamic_clock postcount lastonline lastpost lastim im_ignorelist im_popup im_imspop pmmessprev pmviewMess pmactprev notify_me board_notifications thread_notifications favorites buddylist cathide pageindex reversetopic postlayout sesquest sesanswer session lastips onlinealert offlinestatus awaysubj awayreply awayreplysent spamcount spamtime);
</search for>

<add after>
	push(@tags, "return_to"); ### Return To mod ###
</add after>
